> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ragkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ns_update



## OpenAPI

````yaml POST /ns_update
openapi: 3.0.3
info:
  title: Ragkit API
  description: OpenAPI spec for the Ragkit API platform.
  license:
    name: private
  version: 1.0.0
servers:
  - url: https://api.ragkit.com/v1
    description: Ragkit API version 1
security:
  - bearerAuth: []
tags:
  - name: base
    description: Interact with `base`s.
  - name: documents
    description: Interact with `documents`s.
  - name: namespaces
    description: Interact with `namespace`s.
  - name: service
    description: Retrieve data about the service.
  - name: test
    description: For testing.
paths:
  /ns_update:
    post:
      tags:
        - namespaces
      summary: Update the settings for a `namespace`.
      operationId: ns_update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NsUpdateBody'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NsUpdateResponse'
        4XX:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FailureResponse'
        5XX:
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FailureResponse'
components:
  schemas:
    NsUpdateBody:
      type: object
      required:
        - namespace
        - data
      properties:
        namespace:
          type: string
          description: The key of the `namespace` to update.
        data:
          type: object
          description: The settings to update.
          properties:
            description:
              type: string
              description: |-
                A description of the `namespace`.
                - Must have length between 1-1024 (inclusive).
              nullable: true
              maxLength: 1024
              minLength: 1
    NsUpdateResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          type: boolean
          description: Always `true`.
          enum:
            - true
        data:
          $ref: '#/components/schemas/ExposedNamespace'
    FailureResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          description: Always `false`.
          enum:
            - false
          example: false
        message:
          type: string
          description: The error message.
        help:
          type: string
          description: Additional help information, if available.
          nullable: true
    ExposedNamespace:
      type: object
      description: The `namespace`.
      required:
        - key
      properties:
        key:
          type: string
          description: The key of this `namespace`.
        description:
          type: string
          description: A description of this `namespace`.
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````